import mysql.connector
from mysql.connector import errorcode
from tmp_0x09 import get_temp


# MySQL database connection setup
config = {
    'user': 'root',       # dein MySQL-Benutzername
    'password': '',       # dein MySQL-Passwort (standardmäßig leer bei XAMPP)
    'host': '127.0.0.1',
    'database': 'arduino',
    'raise_on_warnings': True
}

def insert_data(temp, sensor_id):
    try:
        cnx = mysql.connector.connect(**config)
        cursor = cnx.cursor()
        add_data = ("INSERT INTO Sensordaten "
                    "(temperatur, sensor_id) "
                    "VALUES (%s, %s)")
        data = (temp, sensor_id)
        cursor.execute(add_data, data)
        cnx.commit()
        cursor.close()
        cnx.close()
    except mysql.connector.Error as err:
        if err.errno == errorcode.ER_ACCESS_DENIED_ERROR:
            print("Etwas ist mit deinem Benutzernamen oder Passwort falsch.")
        elif err.errno == errorcode.ER_BAD_DB_ERROR:
            print("Die Datenbank existiert nicht.")
        else:
            print(err)
    else:
        print("Daten erfolgreich eingefügt.")

if __name__ == '__main__':
    while True: 
        insert_data(get_temp(0x09), 1)
        insert_data(get_temp(0x0a), 2)
        #insert_data(get_temp(0x0b), 3)
